Loading...
Searching...
No Matches
BALL::VIEW::ModelProcessor Class Reference
Visualisation » Model Processors

`#include <BALL/VIEW/MODELS/modelProcessor.h>`

Inheritance diagram for BALL::VIEW::ModelProcessor:

## Public Member Functions

| ModelProcessor ()
| ModelProcessor (const ModelProcessor &model_processor)
virtual | ~ModelProcessor ()
virtual void | clear ()
| Clear all datastructures, but dont destroy the geometric objects.
virtual bool | isValid () const
virtual void | clearComposites ()
virtual void | dump (std::ostream &, Size) const
GeometricObjectList & | getGeometricObjects ()
| Return the list with the created geometric objects.
const GeometricObjectList & | getGeometricObjects () const
| Return the list with the created geometric objects.
void | setDrawingPrecision (Index precision)
Index | getDrawingPrecision () const
void | setSurfaceDrawingPrecision (float precision)
float | getSurfaceDrawingPrecision () const
virtual bool | createGeometricObjects ()
Public Member Functions inherited from BALL::UnaryProcessor< Composite >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()
virtual Processor::Result | operator() (Composite &)
Public Member Functions inherited from BALL::PropertyManager
BALL_INLINE | PropertyManager ()
| Default constructor.
BALL_INLINE | PropertyManager (const PropertyManager &property_manager)
| Copy constructor.
virtual | ~PropertyManager ()
| Destructor.
virtual void | destroy ()
| Clears all properties.
void | set (const PropertyManager &property_manager)
const PropertyManager & | operator= (const PropertyManager &property_manager)
void | get (PropertyManager &property_manager) const
void | swap (PropertyManager &property_manager)
BitVector & | getBitVector ()
const BitVector & | getBitVector () const
| operator BitVector & ()
void | setProperty (Property property)
void | clearProperty (Property property)
void | toggleProperty (Property property)
Size | countProperties () const
const NamedProperty & | getNamedProperty (Position index) const
NamedProperty & | getNamedProperty (Position index)
void | setProperty (const NamedProperty &property)
void | setProperty (const std::string &name)
void | setProperty (const std::string &name, bool value)
void | setProperty (const std::string &name, int value)
void | setProperty (const std::string &name, unsigned int value)
void | setProperty (const std::string &name, float value)
void | setProperty (const std::string &name, double value)
void | setProperty (const std::string &name, const std::string &value)
void | setProperty (const std::string &name, const PersistentObject &value)
const NamedProperty & | getProperty (const std::string &name) const
NamedPropertyIterator | beginNamedProperty ()
NamedPropertyIterator | endNamedProperty ()
void | clearProperty (const std::string &name)
Size | countNamedProperties () const
bool | hasProperty (Property property) const
| Query for an unnamed property.
bool | hasProperty (const std::string &name) const
| Query for a named property.
bool | operator== (const PropertyManager &pm) const
bool | operator!= (const PropertyManager &pm) const
| Inequality operator.
void | write (PersistenceManager &pm) const
| Persistent stream writing.
bool | read (PersistenceManager &pm)
| Persistent stream reading.
bool | isValid () const
void | dump (std::ostream &s=std::cout, Size depth=0) const

## Protected Attributes

GeometricObjectList | geometric_objects_
Index | drawing_precision_
float | surface_drawing_precision_

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

Base class for all model processors. Every model processor has a list with all GeometricObject 's it has created. It also stores the drawing precision, it will use for creating new models. You can apply model processors like every other UnaryProcessor for Composite 's:

      Molecule m;
      ModelProcessor model_processor;
      m.apply(model_processor);

Definition at line 37 of file modelProcessor.h.

## Constructor & Destructor Documentation

## ModelProcessor() [1/2]

BALL::VIEW::ModelProcessor::ModelProcessor | ( |  | ) |

## ModelProcessor() [2/2]

BALL::VIEW::ModelProcessor::ModelProcessor | ( | const ModelProcessor & | model_processor | ) |

## ~ModelProcessor()

virtual BALL::VIEW::ModelProcessor::~ModelProcessor | ( |  | ) |

virtual

Destructor, calls clear

## Member Function Documentation

## clear()

virtual void BALL::VIEW::ModelProcessor::clear | ( |  | ) |

virtual

Clear all datastructures, but dont destroy the geometric objects.

Reimplemented from BALL::PropertyManager.

Reimplemented in BALL::VIEW::AddBackboneModel, BALL::VIEW::AddBallAndStickModel, BALL::VIEW::AddSurfaceModel, BALL::VIEW::AtomBondModelBaseProcessor, and BALL::VIEW::HBondModelProcessor.

## clearComposites()

virtual void BALL::VIEW::ModelProcessor::clearComposites | ( |  | ) |

inline virtual

Needed in derived classes, which store references to the Composite instances they worked on. Here only needed for a common interface and therefore empty.

Reimplemented in BALL::VIEW::AddSurfaceModel, and BALL::VIEW::AtomBondModelBaseProcessor.

Definition at line 65 of file modelProcessor.h.

## createGeometricObjects()

virtual bool BALL::VIEW::ModelProcessor::createGeometricObjects | ( |  | ) |

inline virtual

Method to create geometric objects. This method is called in Representation::update() after all operator() was called for all Composites. To be overloaded in derived classes

Reimplemented in BALL::VIEW::AddBackboneModel, BALL::VIEW::AddBallAndStickModel, BALL::VIEW::AddSurfaceModel, BALL::VIEW::AtomBondModelBaseProcessor, and BALL::VIEW::LabelModel.

Definition at line 97 of file modelProcessor.h.

## dump()

virtual void BALL::VIEW::ModelProcessor::dump | ( | std::ostream & | ,
|  | Size | ) const

inline virtual

Reimplemented in BALL::VIEW::AddBackboneModel, BALL::VIEW::AddBallAndStickModel, BALL::VIEW::AddLineModel, BALL::VIEW::AddSurfaceModel, BALL::VIEW::AddVanDerWaalsModel, and BALL::VIEW::AtomBondModelBaseProcessor.

Definition at line 69 of file modelProcessor.h.

## getDrawingPrecision()

Index BALL::VIEW::ModelProcessor::getDrawingPrecision | ( |  | ) | const

## getGeometricObjects() [1/2]

GeometricObjectList & BALL::VIEW::ModelProcessor::getGeometricObjects | ( |  | ) |

inline

Return the list with the created geometric objects.

Definition at line 73 of file modelProcessor.h.

## getGeometricObjects() [2/2]

const GeometricObjectList & BALL::VIEW::ModelProcessor::getGeometricObjects | ( |  | ) | const

inline

Return the list with the created geometric objects.

Definition at line 77 of file modelProcessor.h.

## getSurfaceDrawingPrecision()

float BALL::VIEW::ModelProcessor::getSurfaceDrawingPrecision | ( |  | ) | const

## isValid()

virtual bool BALL::VIEW::ModelProcessor::isValid | ( |  | ) | const

inline virtual

Definition at line 59 of file modelProcessor.h.

## setDrawingPrecision()

void BALL::VIEW::ModelProcessor::setDrawingPrecision | ( | Index | precision | ) |

## setSurfaceDrawingPrecision()

void BALL::VIEW::ModelProcessor::setSurfaceDrawingPrecision | ( | float | precision | ) |

## Member Data Documentation

## drawing_precision_

Index BALL::VIEW::ModelProcessor::drawing_precision_

protected

Definition at line 106 of file modelProcessor.h.

## geometric_objects_

GeometricObjectList BALL::VIEW::ModelProcessor::geometric_objects_

protected

Definition at line 103 of file modelProcessor.h.

## surface_drawing_precision_

float BALL::VIEW::ModelProcessor::surface_drawing_precision_

protected

Definition at line 109 of file modelProcessor.h.